<template>
  <div>
    <h1 class="mb-3">Have you recently had any of these skin issues?</h1>
    <p class="mb-8">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      @click="nextStage"
      :disabled="!checkboxSelected.length"
      text="Next"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "AntiAging4",
  data() {
    return {
      choices: [
        'Blackheads',
        'Whiteheads',
        'Acne pustules',
        'Dry skin',
        'Oily Skin',
        'Skin cracking or peeling',
        constants.OTHER,
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_4')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes(constants.OTHER)) {
        this.nextStage()
      } else {
        this.$emit('goTo', 6)
      }
    }
  }
}
</script>

<style scoped>

</style>
